Skip to content

Get Table Popularity

GET
/api/v1/lineage/popularity
curl --request GET \
--url 'https://example.com/api/v1/lineage/popularity?days=30&limit=50'

Get table popularity metrics for impact analysis prioritization.

This endpoint supports the usage scope understanding mentioned in docs/ia.md by providing popularity metrics to prioritize high-impact changes.

Args: warehouse_id: SQL warehouse ID for system table queries. days: Number of days to analyze for popularity. catalog: Optional catalog filter. schema: Optional schema filter. limit: Maximum number of results to return. lineage_service: The DatabricksLineageAPI instance.

Returns: List of table popularity metrics for impact prioritization.

days
Days

Number of days to analyze

integer
default: 30 >= 1 <= 365

Number of days to analyze

catalog
Any of:
string

Filter by catalog

schema
Any of:
string

Filter by schema

limit
Limit

Maximum number of results

integer
default: 50 >= 1 <= 500

Maximum number of results

X-Environment-Id
Any of:
string

Successful Response

Media typeapplication/json
Response Get Table Popularity Api V1 Lineage Popularity Get
Array<object>
TablePopularityMetrics

Metrics for table popularity and usage.

object
table_name
required
Table Name
string
query_count
required
Query Count
integer
unique_users
required
Unique Users
integer
last_accessed
Any of:
string format: date-time
avg_queries_per_day
required
Avg Queries Per Day
number
popularity_score
required
Popularity Score
number
rank
Any of:
integer
Examplegenerated
[
{
"table_name": "example",
"query_count": 1,
"unique_users": 1,
"last_accessed": "2026-04-15T12:00:00Z",
"avg_queries_per_day": 1,
"popularity_score": 1,
"rank": 1
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}